Package org.apache.tapestry5.rest.jackson.modules

## Class RestJacksonModule

- java.lang.Object
- - org.apache.tapestry5.rest.jackson.modules.RestJacksonModule

-     public class RestJacksonModule
      extends java.lang.Object

  Defines services and and contributions for the Tapestry integration with Jackson Databind. Besides contributing a fallback `ObjectMapperSource`, it also creates a `ComponentEventResultProcessor` for all classes returned by `MappedEntityManager.getEntities()`.
  Since:
    5.8.0

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RestJacksonModule()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ObjectMapperSource` | `buildObjectMapperSource​(java.util.List<ObjectMapperSource> configuration, ChainBuilder chainBuilder)` | Builds the `ObjectMapperSource` service.
    `static com.github.victools.jsonschema.generator.SchemaGenerator` | `buildSchemaGenerator()` | Provides the default `SchemaGenerator` instance with a default configuration.
    `static void` | `contributeComponentEventResultProcessor​(MappedConfiguration<java.lang.Class,​ComponentEventResultProcessor> configuration, MappedEntityManager mappedEntityManager, Response response, ObjectMapperSource objectMapperSource, java.lang.String outputEncoding)` | Adds a (entity class, JacksonComponentEventResultProcessor) for each entity class returned by `MappedEntityManager.getEntities()`.
    `static void` | `contributeHttpRequestBodyConverter​(OrderedConfiguration<HttpRequestBodyConverter> configuration)` | Contributes `JacksonHttpRequestBodyConverter` to the `HttpRequestBodyConverter` service.
    `static void` | `contributeObjectMapperSource​(OrderedConfiguration<ObjectMapperSource> configuration)` | Contributes `FallbackObjectMapperSource` (contribution id `Fallback`) so we guarantee there's always an `ObjectMapper` provided for any type.
    `static void` | `contributeOpenApiTypeDescriber​(OrderedConfiguration<OpenApiTypeDescriber> configuration)` | Contributes `JacksonOpenApiTypeDescriber` to the `OpenApiTypeDescriber` service to generate J.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RestJacksonModule

          public RestJacksonModule()

  - ### Method Detail

    - #### contributeObjectMapperSource

          public static void contributeObjectMapperSource​(OrderedConfiguration<ObjectMapperSource> configuration)

      Contributes `FallbackObjectMapperSource` (contribution id `Fallback`) so we guarantee there's always an `ObjectMapper` provided for any type.

    - #### contributeComponentEventResultProcessor

          public static void contributeComponentEventResultProcessor​(MappedConfiguration<java.lang.Class,​ComponentEventResultProcessor> configuration,
                                                                     MappedEntityManager mappedEntityManager,
                                                                     Response response,
                                                                     ObjectMapperSource objectMapperSource,
                                                                     @Symbol("tapestry.charset")
                                                                     java.lang.String outputEncoding)

      Adds a (entity class, JacksonComponentEventResultProcessor) for each entity class returned by `MappedEntityManager.getEntities()`.

    - #### contributeHttpRequestBodyConverter

          public static void contributeHttpRequestBodyConverter​(OrderedConfiguration<HttpRequestBodyConverter> configuration)

      Contributes `JacksonHttpRequestBodyConverter` to the `HttpRequestBodyConverter` service.

    - #### buildObjectMapperSource

          public static ObjectMapperSource buildObjectMapperSource​(java.util.List<ObjectMapperSource> configuration,
                                                                   ChainBuilder chainBuilder)

      Builds the `ObjectMapperSource` service.

    - #### buildSchemaGenerator

          public static com.github.victools.jsonschema.generator.SchemaGenerator buildSchemaGenerator()

      Provides the default `SchemaGenerator` instance with a default configuration.

    - #### contributeOpenApiTypeDescriber

          public static void contributeOpenApiTypeDescriber​(OrderedConfiguration<OpenApiTypeDescriber> configuration)

      Contributes `JacksonOpenApiTypeDescriber` to the `OpenApiTypeDescriber` service to generate J.